Create Fields Sync Job
1 min
POST
https://api.nue.io/orders/fields-sync-jobs
Header Parameters
- acceptstringDescriptionDefault*/*Allowed*/*application/json
Body Parameters
- bodySyncJobRequestFieldsSyncParamrequired
- parametersFieldsSyncParamDescription
- objectApiNamestring<AbstractAsset | Order | OrderProduct | Asset | AssetOrderProduct | Contact | Customer | Subscription | UserProfile | Company | RelatedCustomer | BillingSchedule | BillingJob | Invoice | InvoiceItem | InvoiceItemDetail | CreditMemo | CreditMemoItem | CreditMemoItemDetail | Usage | PaymentApplication | PaymentApplicationItem | CreditType | CreditPool | AccountCreditPool | Credit | CreditFlow | DebitMemo | DebitMemoItem | BillingState | BillingAsset | PaymentRule | PaymentMethod | Entitlement | Entity | LinePriceDimension | PriceDimension | FeaturePriceDimension | PriceBook | PriceTier | ProductOptionPriceDimension | ProductPriceDimension | UOM | Feature | BundleSuite | PriceBookEntry | Product | ProductOption | ProductFeature | BundleSuiteBundle | CreditConversion | ProductOptionRelation | ChangeHistory | SsSubscription | SsAsset | SsEntitlement | FormTemplate | Quote | Opportunity | Contract | Account | Pricebook2 | User>requiredExampleDescriptionAllowedAbstractAssetOrderOrderProductAssetAssetOrderProductContactCustomerSubscriptionUserProfileCompanyRelatedCustomerBillingScheduleBillingJobInvoiceInvoiceItemInvoiceItemDetailCreditMemoCreditMemoItemCreditMemoItemDetailUsagePaymentApplicationPaymentApplicationItemCreditTypeCreditPoolAccountCreditPoolCreditCreditFlowDebitMemoDebitMemoItemBillingStateBillingAssetPaymentRulePaymentMethodEntitlementEntityLinePriceDimensionPriceDimensionFeaturePriceDimensionPriceBookPriceTierProductOptionPriceDimensionProductPriceDimensionUOMFeatureBundleSuitePriceBookEntryProductProductOptionProductFeatureBundleSuiteBundleCreditConversionProductOptionRelationChangeHistorySsSubscriptionSsAssetSsEntitlementFormTemplateQuoteOpportunityContractAccountPricebook2User
- fieldApiNamesstring[]requiredExample
[ "IsReseller__c", "orderACV", "paymentMethod", "description", "poNumber" ]
Description - graphqlFilterstringExampleDescription
- batchSizeinteger<int64>DescriptionFormatint64
- scheduleIdstringDescription
- namestringDescription
Responses
201
400
- object
- titlestring
- messagestring
- errorCodestring
404
curl
curl --request POST \
--url https://api.nue.io/orders/fields-sync-jobs \
--header 'accept: */*' \
--header 'content-type: application/json' \
--data '{
"parameters": {
"objectApiName": "Order",
"fieldApiNames": []
}
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "*/*");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"parameters": {
"objectApiName": "Order",
"fieldApiNames": []
}
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.nue.io/orders/fields-sync-jobs", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/orders/fields-sync-jobs")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "*/*"
request["content-type"] = "application/json"
request.body = JSON.dump({
"parameters": {
"objectApiName": "Order",
"fieldApiNames": []
}
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/orders/fields-sync-jobs"
payload = json.dumps({
"parameters": {
"objectApiName": "Order",
"fieldApiNames": []
}
})
headers = {
'accept': '*/*',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
201
// Created
400
// Bad Request
{
"title": "",
"message": "",
"errorCode": ""
}404
// Not Found